# Generated by Django 3.2.5 on 2021-08-04 06:51

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ProjectBase',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_dt', models.DateTimeField(auto_now_add=True)),
                ('active', models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='Quotes',
            fields=[
                ('projectbase_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='quotes_app.projectbase')),
                ('quote', models.TextField(max_length=1000)),
                ('tag', models.CharField(choices=[('S', 'short'), ('M', 'mid'), ('L', 'long')], max_length=10)),
            ],
            bases=('quotes_app.projectbase',),
        ),
        migrations.CreateModel(
            name='UserBase',
            fields=[
                ('projectbase_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='quotes_app.projectbase')),
                ('username', models.CharField(max_length=45)),
                ('email', models.CharField(max_length=45)),
                ('password', models.CharField(max_length=500)),
                ('tag', models.CharField(max_length=30)),
                ('token_expiry_date', models.DateTimeField()),
                ('secret_key', models.CharField(max_length=100)),
            ],
            bases=('quotes_app.projectbase',),
        ),
    ]
